clang-tools 10.0.0

Public Attributes | Friends | List of all members
clang::clangd::Location Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::Location:
[legend]

## Public Attributes
URIForFile | uri
| The text document's URI. More...
Range | range

## Friends
bool | operator== (const Location &LHS, const Location &RHS)
bool | operator!= (const Location &LHS, const Location &RHS)
bool | operator< (const Location &LHS, const Location &RHS)

## Detailed Description

Definition at line 182 of file Protocol.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const Location & | LHS,
|  | const Location & | RHS
| ) |  |
| friend

Definition at line 191 of file Protocol.h.

## ◆ operator<

bool operator< | ( | const Location & | LHS,
|  | const Location & | RHS
| ) |  |
| friend

Definition at line 195 of file Protocol.h.

## ◆ operator==

bool operator== | ( | const Location & | LHS,
|  | const Location & | RHS
| ) |  |
| friend

Definition at line 187 of file Protocol.h.

## Member Data Documentation

## ◆ range

Range clang::clangd::Location::range

Definition at line 185 of file Protocol.h.

Referenced by clang::clangd::flattenSymbolHierarchy(), clang::clangd::getToggle(), and clang::clangd::toLSPDiags().

## ◆ uri

URIForFile clang::clangd::Location::uri

The text document's URI.

Definition at line 184 of file Protocol.h.

Referenced by clang::clangd::flattenSymbolHierarchy(), clang::clangd::getToggle(), and clang::clangd::toLSPDiags().

The documentation for this struct was generated from the following file:

- Protocol.h